> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/inventory-manager/get-nodes-by-inventory/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # List all nodes for a specific inventory GET https://example.itential.io/inventory_manager/v1/inventories/{inventoryIdentifier}/nodes Returns a paginated list of nodes for a specific inventory with optional filtering. Reference: https://docs.itential.com/itential-cloud/api-reference/inventory-manager/get-nodes-by-inventory ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `inventoryIdentifier` (string or string, required) — Inventory ID or name ### Query parameters - `page` (double, optional, default: 1) — page - `pageSize` (double, optional, default: 25) — pageSize - `sortField` (string, optional, default: updated_at) — sortField - `sortOrder` (double, optional, default: -1) — sortOrder - `search` (string, optional) — search - `types` (list of string, optional) — types - `tags` (list of string, optional) — tags ## Response ### 200 Paginated list of nodes for the inventory - `status` (string, optional) - `result` (object, optional) - `data` (list of object, optional) - `inventory_id` (string, required) - `name` (string, required) - `version` (string, optional) - `attributes` (object, optional) - `tags` (list of string, optional) — Array of tag IDs associated with this node - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `totalRecords` (double, optional) - `currentPage` (double, optional) - `pageSize` (double, optional) - `totalPages` (double, optional) - `error` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "status": "Success", "result": { "data": [ { "inventory_id": "string", "name": "string", "version": "2024-01-15T09:30:00Z", "attributes": {}, "tags": [ "string" ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string" } ], "totalRecords": 1.1, "currentPage": 1.1, "pageSize": 1.1, "totalPages": 1.1 }, "error": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/inventory_manager/v1/inventories/string/nodes" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/inventory_manager/v1/inventories/string/nodes'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/inventory_manager/v1/inventories/string/nodes" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/inventory_manager/v1/inventories/string/nodes") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/inventory_manager/v1/inventories/string/nodes") .asString(); ``` ```php request('GET', 'https://example.itential.io/inventory_manager/v1/inventories/string/nodes'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/inventory_manager/v1/inventories/string/nodes"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/inventory_manager/v1/inventories/string/nodes")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```